#!/bin/bash

PVA_MN_CORE=0

function configureNode()
{
	${VZLCORE_BIN_DIR}/vzpInstallHelper --guests-configure
}

function main() 
{
	echo "------------------------------------------------------------------------------------------------"
	date "+%b %e %T PVA Agent for Parallels Server post upgrade configuration : start"

	stop_vzagent_services

	configureNode

	start_vzagent_services

	date "+%b %e %T PVA Agent for Parallels Server post upgrade configuration : stop"
	echo "------------------------------------------------------------------------------------------------"
}

# VZL defines
scriptDir=`dirname "$0"`
# VZL defines
. ${scriptDir}/pva-agent-helper.sh || abort "Failed to include ${scriptDir}/pva-agent-helper.sh" 

############################### Go  ##############################

main $*

exit 0
